Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cxf.wsdl
Class TBindingOperation

    java.lang.Object
      org.apache.cxf.wsdl.TDocumented
          org.apache.cxf.wsdl.TExtensibleDocumented
              org.apache.cxf.wsdl.TBindingOperation

    public class TBindingOperation

extends TExtensibleDocumented

Java class for tBindingOperation complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="tBindingOperation">
       <complexContent>
         <extension base="{http://schemas.xmlsoap.org/wsdl/}tExtensibleDocumented">
           <sequence>
             <element name="input" type="{http://schemas.xmlsoap.org/wsdl/}tBindingOperationMessage" minOccurs="0"/>
             <element name="output" type="{http://schemas.xmlsoap.org/wsdl/}tBindingOperationMessage" minOccurs="0"/>
             <element name="fault" type="{http://schemas.xmlsoap.org/wsdl/}tBindingOperationFault" maxOccurs="unbounded" minOccurs="0"/>
           </sequence>
           <attribute name="name" use="required" type="{http://www.w3.org/2001/XMLSchema}NCName" />
           <anyAttribute processContents='lax' namespace='##other'/>
         </extension>
       </complexContent>
     </complexType>

Field Summary
`protected List<TBindingOperationFault>` | `fault`
`protected TBindingOperationMessage` | `input`
`protected String` | `name`
`protected TBindingOperationMessage` | `output`

Fields inherited from class org.apache.cxf.wsdl.TExtensibleDocumented
`any`

Fields inherited from class org.apache.cxf.wsdl.TDocumented
`documentation`

Constructor Summary
`TBindingOperation()`

Method Summary
`List<TBindingOperationFault>` | `getFault()` Gets the value of the fault property.
`TBindingOperationMessage` | `getInput()` Gets the value of the input property.
`String` | `getName()` Gets the value of the name property.
`TBindingOperationMessage` | `getOutput()` Gets the value of the output property.
`boolean` | `isSetFault()`
`boolean` | `isSetInput()`
`boolean` | `isSetName()`
`boolean` | `isSetOutput()`
`void` | `setInput(TBindingOperationMessage value)` Sets the value of the input property.
`void` | `setName(String value)` Sets the value of the name property.
`void` | `setOutput(TBindingOperationMessage value)` Sets the value of the output property.
`void` | `unsetFault()`

Methods inherited from class org.apache.cxf.wsdl.TExtensibleDocumented
`getAny, getOtherAttributes, isSetAny, unsetAny`

Methods inherited from class org.apache.cxf.wsdl.TDocumented
`getDocumentation, isSetDocumentation, setDocumentation`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### input

    protected TBindingOperationMessage input

### output

    protected TBindingOperationMessage output

### fault

    protected List<TBindingOperationFault> fault

### name

    protected String name

Constructor Detail

### TBindingOperation

    public TBindingOperation()

Method Detail

### getInput

    public TBindingOperationMessage getInput()

  Gets the value of the input property.

  Returns:
    possible object is `TBindingOperationMessage`

### setInput

    public void setInput(TBindingOperationMessage value)

  Sets the value of the input property.

  Parameters:
    `value` - allowed object is `TBindingOperationMessage`

### isSetInput

    public boolean isSetInput()

### getOutput

    public TBindingOperationMessage getOutput()

  Gets the value of the output property.

  Returns:
    possible object is `TBindingOperationMessage`

### setOutput

    public void setOutput(TBindingOperationMessage value)

  Sets the value of the output property.

  Parameters:
    `value` - allowed object is `TBindingOperationMessage`

### isSetOutput

    public boolean isSetOutput()

### getFault

    public List<TBindingOperationFault> getFault()

  Gets the value of the fault property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the fault property.

  For example, to add a new item, do as follows:

          getFault().add(newItem);

  Objects of the following type(s) are allowed in the list `TBindingOperationFault`

### isSetFault

    public boolean isSetFault()

### unsetFault

    public void unsetFault()

### getName

    public String getName()

  Gets the value of the name property.

  Returns:
    possible object is `String`

### setName

    public void setName(String value)

  Sets the value of the name property.

  Parameters:
    `value` - allowed object is `String`

### isSetName

    public boolean isSetName()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Apache CXF